#!/usr/bin/env node
const path = require('path')
const minimist = require('minimist')
const argv = minimist(process.argv.slice(2))
let configPath = argv.c || argv.config || ''

if (configPath !== true && configPath !== '') {
  configPath = path.resolve(configPath)
} else {
  configPath = ''
}

const CqCore = require('../build/index').default

const cqCore = new CqCore(configPath)
cqCore.cmd.init()

try {
  cqCore.cmd.program.parse(process.argv)
} catch (e) {
  if (process.argv.includes('--debug')) {
    Promise.reject(e)
  }
}
